/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __IO_DEV_H__
#define __IO_DEV_H__

/**
 *	io_dev_wakeup
 */
void
io_dev_wakeup(
	void
	);

/**
 *	io_dev_init
 */
int
io_dev_init(
	void
	);

/**
 *	io_dev_close
 */
int
io_dev_close(
	void
	);

extern int g_device_opened;
extern int g_canceled;

#if defined (USE_BLOCKING_READ)
extern wait_queue_head_t read_wait;
#endif

#endif // __IO_DEV_H__
