/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __RECV_H__
#define __RECV_H__

/**
 *	recv
 */
void
recv(
	struct sk_buff *skb,
#if defined(LINUX_KERNEL_2_6_22_OR_2_6_23)
	struct nf_info *nf_data,	
#else
	struct nf_queue_entry *nf_data,
#endif
	void *context
	);

#endif // __RECV_H__
