/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __SOCKET_H__
#define __SOCKET_H__

/**
 *	socket_init
 */
int
socket_init(	
	void 
	);

/**
 *	socket_close
 */
void
socket_close(	
	void 
	);

/**
 *	socket_send_ip
 */
int
socket_send_ip(	
	unsigned char *buffer,
	int len,
	u_int32_t ip
	);

/**
 *	socket_is_our
 */
bool
socket_is_our(	
	struct socket *s
	);

#endif // __SOCKET_H__
